Initiate duplication edits to rich text#
Description#
Sends a RichTextDuplicationEdit to perform on the rich text.
The optional revision property can be used to identify a stable version of the text to use for selections. The latest revision is used if not specified.
This is a long running operation. Responses include a Location header, which indicates where to poll for results. For more details on long-running job polling, see Operations endpoint.
The resourceUrl field will be populated with a link to the Rich Text Duplication Edit Results endpoint to retrieve the IDs of the new resources.
POST /content/richText/{richTextId}/duplication/edit
Required OAuth Scopes
file:write
Parameters#
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
X-Version |
header |
string |
true |
Version of the API (2026-01-01) |
richTextId |
path |
string |
true |
The unique identifier of the rich text content |
body |
body |
true |
The rich text duplication edits to apply |
Body parameter example#
{
"duplicateTable": {
"insertAt": {
"offset": 0,
"paragraphIndex": 2
},
"sourceTable": "WAxsaHxoYvTB4D0twUm6YtiF99TNO0gBkSOhgYBed9AMB99EUxqELDQychBaGR9SkZucm5sK"
},
"revision": "24601abc",
"type": "duplicateTable"
}
Code Samples#
curl -X POST https://api.app.wdesk.com/content/richText/{richTextId}/duplication/edit \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}' \
-H 'X-Version: 2026-01-01'
http POST https://api.app.wdesk.com/content/richText/{richTextId}/duplication/edit \
X-Version:2026-01-01 \
Content-Type:application/json \
Accept:application/json \
Authorization:"Bearer {access-token}"
wget --method=POST "https://api.app.wdesk.com/content/richText/{richTextId}/duplication/edit" \
--output-document - \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'X-Version: 2026-01-01'
import requests
headers = {
'X-Version': '2026-01-01',
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.post('https://api.app.wdesk.com/content/richText/{richTextId}/duplication/edit', headers = headers)
print(r.headers['Location'])
Returns#
202 - Accepted#
Response body for asynchronous operations. Contains an operationLocation field that specifies the URL to poll for the operation result. This URL can also be found in the Location header on the response.
Header |
Description |
|---|---|
Location |
The location to poll for the operation result. |
Retry-After |
The number of seconds to wait before polling for a result and between polling attempts. |
400 - Bad Request#
Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.
403 - Forbidden#
Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.
404 - Not Found#
Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.
409 - Conflict#
Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.
429 - Too Many Requests#
Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.
500 - Internal Server Error#
Error response that indicates that the service is not able to process the incoming request. The reason is provided in the error message.
Example Responses#
{
"operationLocation": "https://api.app.wdesk.com/operations/128f274395254cf17eda6b3eb3d021b9"
}
{
"code": "400BadRequest",
"message": "The request was unacceptable, often due to a missing or invalid parameter"
}
{
"code": "401Unauthorized",
"message": "No valid API token provided"
}
{
"code": "403Forbidden",
"message": "The API token does not have permissions to perform the request"
}
{
"code": "404NotFound",
"message": "The requested resource could not be found"
}
{
"code": "409Conflict",
"message": "The request conflicts with another request"
}
{
"code": "429TooManyRequests",
"message": "Too many requests have been made against the API in too short a time"
}
{
"code": "500InternalServerError",
"message": "The server encountered an unexpected condition that prevented it from fulfilling the request"
}
{
"code": "503ServiceUnavailable",
"message": "The server cannot handle the request due to a temporary overload or scheduled maintenance"
}